# IRremoteESP8266: src/ir_Sharp.cpp File Reference

ir_Sharp.cpp File Reference

Support for Sharp protocols. More...

## Variables

const uint16_t | kSharpTick = 26
const uint16_t | kSharpBitMarkTicks = 10
const uint16_t | kSharpBitMark = kSharpBitMarkTicks * kSharpTick
const uint16_t | kSharpOneSpaceTicks = 70
const uint16_t | kSharpOneSpace = kSharpOneSpaceTicks * kSharpTick
const uint16_t | kSharpZeroSpaceTicks = 30
const uint16_t | kSharpZeroSpace = kSharpZeroSpaceTicks * kSharpTick
const uint16_t | kSharpGapTicks = 1677
const uint16_t | kSharpGap = kSharpGapTicks * kSharpTick
const uint64_t | kSharpToggleMask
const uint64_t | kSharpAddressMask = ((uint64_t)1 << kSharpAddressBits) - 1
const uint64_t | kSharpCommandMask = ((uint64_t)1 << kSharpCommandBits) - 1

## Detailed Description

Support for Sharp protocols.

See also
  http://www.sbprojects.com/knowledge/ir/sharp.htm
  http://lirc.sourceforge.net/remotes/sharp/GA538WJSA
  http://www.mwftr.com/ucF08/LEC14%20PIC%20IR.pdf
  http://www.hifi-remote.com/johnsfine/DecodeIR.html#Sharp
  GlobalCache's IR Control Tower data.
  https://github.com/crankyoldgit/IRremoteESP8266/issues/638
  https://github.com/ToniA/arduino-heatpumpir/blob/master/SharpHeatpumpIR.cpp

## Variable Documentation

## kSharpAddressMask

const uint64_t kSharpAddressMask = ((uint64_t)1 << kSharpAddressBits) - 1

## kSharpBitMark

const uint16_t kSharpBitMark = kSharpBitMarkTicks * kSharpTick

## kSharpBitMarkTicks

const uint16_t kSharpBitMarkTicks = 10

## kSharpCommandMask

const uint64_t kSharpCommandMask = ((uint64_t)1 << kSharpCommandBits) - 1

## kSharpGap

const uint16_t kSharpGap = kSharpGapTicks * kSharpTick

## kSharpGapTicks

const uint16_t kSharpGapTicks = 1677

## kSharpOneSpace

const uint16_t kSharpOneSpace = kSharpOneSpaceTicks * kSharpTick

## kSharpOneSpaceTicks

const uint16_t kSharpOneSpaceTicks = 70

## kSharpTick

const uint16_t kSharpTick = 26

## kSharpToggleMask

const uint64_t kSharpToggleMask

Initial value:
=
((uint64_t)1 << (kSharpBits - kSharpAddressBits)) - 1

## kSharpZeroSpace

const uint16_t kSharpZeroSpace = kSharpZeroSpaceTicks * kSharpTick

## kSharpZeroSpaceTicks

const uint16_t kSharpZeroSpaceTicks = 30

kSharpBits
const uint16_t kSharpBits
Definition: IRremoteESP8266.h:1058
kSharpAddressBits
const uint8_t kSharpAddressBits
Definition: IRremoteESP8266.h:1056